#include "camera_glue.h"

camera_glue::camera_glue(QDialog *parent)
	: QDialog(parent)
{
	ui.setupUi(this);
	this->setWindowFlags(windowFlags()&~Qt::WindowContextHelpButtonHint);
#if defined(NumberOfSupportedCameras) && (NumberOfSupportedCameras>0)
	spinBox[0][0] = ui.spinBox_11;
	spinBox[0][1] = ui.spinBox_12;
	spinBox[0][2] = ui.spinBox_13;
#endif
#if defined(NumberOfSupportedCameras) && (NumberOfSupportedCameras>1)
	spinBox[1][0] = ui.spinBox_21;
	spinBox[1][1] = ui.spinBox_22;
	spinBox[1][2] = ui.spinBox_23;
#endif
#if defined(NumberOfSupportedCameras) && (NumberOfSupportedCameras>2)
	spinBox[2][0] = ui.spinBox_31;
	spinBox[2][1] = ui.spinBox_32;
	spinBox[2][2] = ui.spinBox_33;
#endif
#if defined(NumberOfSupportedCameras) && (NumberOfSupportedCameras>3)
	spinBox[3][0] = ui.spinBox_41;
	spinBox[3][1] = ui.spinBox_42;
	spinBox[3][2] = ui.spinBox_43;
#endif
}

camera_glue::~camera_glue()
{

}

void camera_glue::recMsgFromDialogSetup(int ptr[][3])
{
	for(int i=0;i<NumberOfSupportedCameras;i++)
		for(int j=0;j<3;j++)
			spinBox[i][j]->setValue(ptr[i][j]);
}

void camera_glue::on_pushButton_take_released(void)
{
	int mat[NumberOfSupportedCameras][3];
	for(int i=0;i<NumberOfSupportedCameras;i++)
		for(int j=0;j<3;j++)
			mat[i][j]=spinBox[i][j]->value();
	emit sendMsgToDialogSetup(mat);
	this->close();
}