//qlabel_doubleclick.h
#ifndef QLABEL_DOUBLECLICK_H_
#define QLABEL_DOUBLECLICK_H_

#include <QLabel>
#include <QMouseEvent>
#include <QTimer>

class db_label : public QLabel
{
    Q_OBJECT

public:
	db_label(QWidget *parent = 0);
    ~db_label();
    void mouseDoubleClickEvent(QMouseEvent *event);
    void mousePressEvent(QMouseEvent* event);
public:
    QTimer timer;
signals:
    void QlabelDoubleClick();
    void QlabelClick();
private slots:
    void singleClick();
};

#endif // QLABEL_DOUBLECLICK_H_